# Settings
`toloka.client.project.view_spec.ViewSpec.Settings` | [Source code](https://github.com/Toloka/toloka-kit/blob/v0.1.26/src/client/project/view_spec.py#L36)

```python
Settings(
    self,
    *,
    show_finish: Optional[bool] = None,
    show_fullscreen: Optional[bool] = None,
    show_instructions: Optional[bool] = None,
    show_message: Optional[bool] = None,
    show_reward: Optional[bool] = None,
    show_skip: Optional[bool] = None,
    show_submit: Optional[bool] = None,
    show_timer: Optional[bool] = None,
    show_title: Optional[bool] = None
)
```

ViewSpec Settings

## Parameters Description

| Parameters | Type | Description |
| :----------| :----| :-----------|
`show_finish`|**Optional\[bool\]**|<p>Show the Back to main page button.</p>
`show_fullscreen`|**Optional\[bool\]**|<p>Show the Expand to fullscreen button.</p>
`show_instructions`|**Optional\[bool\]**|<p>Show the Instructions button.</p>
`show_message`|**Optional\[bool\]**|<p>Show the Message for the requester button.</p>
`show_reward`|**Optional\[bool\]**|<p>Show the price per task page.</p>
`show_skip`|**Optional\[bool\]**|<p>Show the Skip button.</p>
`show_submit`|**Optional\[bool\]**|<p>Show the Next button.</p>
`show_timer`|**Optional\[bool\]**|<p>Show the timer.</p>
`show_title`|**Optional\[bool\]**|<p>Show the project name in task titles.</p>
